Manifest-Version: 1.0
Bnd-LastModified: 1743084654855
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Journal Service
Bundle-SymbolicName: com.liferay.journal.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.85.hotfix-9927-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.asset.auto.tagger.text.extractor;version="
 1.0",com.liferay.asset.display.page.model;version="3.3",com.liferay.a
 sset.display.page.service;version="2.5",com.liferay.asset.display.pag
 e.util;version="1.1",com.liferay.asset.entry.rel.model;version="2.4",
 com.liferay.asset.entry.rel.service;version="1.5",com.liferay.asset.k
 ernel;version="1.1",com.liferay.asset.kernel.model;version="3.5",com.
 liferay.asset.kernel.service;version="2.10",com.liferay.asset.kernel.
 validator;version="1.1",com.liferay.change.tracking.spi.listener;vers
 ion="2.0",com.liferay.change.tracking.spi.reference;version="1.0",com
 .liferay.change.tracking.spi.reference.builder;version="1.0",com.life
 ray.change.tracking.spi.resolver;version="1.0",com.liferay.change.tra
 cking.spi.resolver.context;version="1.0",com.liferay.changeset.model;
 version="2.1",com.liferay.changeset.service;version="1.5",com.liferay
 .comment.upgrade;version="1.4",com.liferay.counter.kernel.service;ver
 sion="2.0",com.liferay.depot.model;version="2.0",com.liferay.depot.se
 rvice;version="1.7",com.liferay.document.library.kernel.exception;ver
 sion="3.1",com.liferay.document.library.kernel.model;version="3.2",co
 m.liferay.document.library.kernel.service;version="3.6",com.liferay.d
 ocument.library.kernel.util;version="2.0",com.liferay.document.librar
 y.util;version="1.1",com.liferay.dynamic.data.mapping.exception;versi
 on="2.3",com.liferay.dynamic.data.mapping.model;version="4.6",com.lif
 eray.dynamic.data.mapping.service;version="3.9",com.liferay.dynamic.d
 ata.mapping.storage;version="1.4",com.liferay.dynamic.data.mapping.st
 orage.constants;version="1.1",com.liferay.dynamic.data.mapping.util;v
 ersion="2.9",com.liferay.expando.kernel.model;version="3.3",com.lifer
 ay.expando.kernel.service;version="1.7",com.liferay.expando.kernel.ut
 il;version="2.0",com.liferay.exportimport.configuration;version="1.2"
 ,com.liferay.exportimport.content.processor;version="1.0",com.liferay
 .exportimport.data.handler.base;version="1.0",com.liferay.exportimpor
 t.kernel.exception;version="1.3",com.liferay.exportimport.kernel.lar;
 version="3.4",com.liferay.exportimport.kernel.lifecycle;version="2.0"
 ,com.liferay.exportimport.kernel.model;version="2.2",com.liferay.expo
 rtimport.kernel.staging;version="2.2",com.liferay.exportimport.kernel
 .staging.permission;version="1.0",com.liferay.exportimport.kernel.xst
 ream;version="1.0",com.liferay.exportimport.staged.model.repository;v
 ersion="1.1",com.liferay.friendly.url.model;version="2.2",com.liferay
 .friendly.url.service;version="1.4",com.liferay.info.item;version="1.
 1",com.liferay.info.item.provider;version="1.1",com.liferay.journal.c
 onfiguration;version="3.2",com.liferay.journal.constants;version="1.3
 ",com.liferay.journal.exception;version="2.2",com.liferay.journal.mod
 el;version="4.2",com.liferay.journal.service;version="3.6",com.lifera
 y.journal.service.persistence;version="5.1",com.liferay.journal.util;
 version="2.1",com.liferay.journal.util.comparator;version="1.3",com.l
 iferay.layout.admin.kernel.util;version="1.2",com.liferay.layout.disp
 lay.page;version="1.0",com.liferay.layout.model;version="1.1",com.lif
 eray.layout.page.template.model;version="2.5",com.liferay.layout.page
 .template.service;version="3.5",com.liferay.layout.service;version="1
 .2",com.liferay.layout.util;version="2.1",com.liferay.osgi.service.tr
 acker.collections.map;version="2.2",com.liferay.osgi.util;version="2.
 3",com.liferay.petra.function;version="1.4",com.liferay.petra.io.unsy
 nc;version="1.0",com.liferay.petra.lang;version="1.3",com.liferay.pet
 ra.reflect;version="1.4",com.liferay.petra.sql.dsl;version="1.0",com.
 liferay.petra.sql.dsl.expression;version="1.0",com.liferay.petra.sql.
 dsl.query;version="1.0",com.liferay.petra.string;version="1.4",com.li
 feray.petra.xml;version="1.0",com.liferay.portal.aop;version="1.0",co
 m.liferay.portal.atom,com.liferay.portal.change.tracking.store,com.li
 feray.portal.configuration.metatype.bnd.util;version="2.0",com.lifera
 y.portal.configuration.persistence.listener;version="1.1",com.liferay
 .portal.configuration.upgrade;version="2.0",com.liferay.portal.dao.or
 m.common,com.liferay.portal.dao.orm.custom.sql;version="1.0",com.life
 ray.portal.instance.lifecycle;version="2.0",com.liferay.portal.kernel
 .atom;version="7.0",com.liferay.portal.kernel.bean;version="8.0",com.
 liferay.portal.kernel.cache;version="9.1",com.liferay.portal.kernel.c
 ache.index;version="6.2",com.liferay.portal.kernel.change.tracking;ve
 rsion="1.2",com.liferay.portal.kernel.cluster;version="8.0",com.lifer
 ay.portal.kernel.comment;version="3.0",com.liferay.portal.kernel.conf
 iguration;version="6.3",com.liferay.portal.kernel.dao.db;version="7.9
 ",com.liferay.portal.kernel.dao.jdbc;version="8.0",com.liferay.portal
 .kernel.dao.orm;version="9.7",com.liferay.portal.kernel.diff;version=
 "1.0",com.liferay.portal.kernel.events;version="6.3",com.liferay.port
 al.kernel.exception;version="9.5",com.liferay.portal.kernel.io.unsync
 ;version="7.0",com.liferay.portal.kernel.json;version="8.10",com.life
 ray.portal.kernel.language;version="8.3",com.liferay.portal.kernel.lo
 g;version="7.0",com.liferay.portal.kernel.mobile.device;version="9.0"
 ,com.liferay.portal.kernel.model;version="5.6",com.liferay.portal.ker
 nel.model.change.tracking;version="1.0",com.liferay.portal.kernel.mod
 el.impl;version="3.4",com.liferay.portal.kernel.module.configuration;
 version="2.0",com.liferay.portal.kernel.module.framework;version="1.4
 ",com.liferay.portal.kernel.module.framework.service;version="1.0",co
 m.liferay.portal.kernel.portlet;version="10.4",com.liferay.portal.ker
 nel.portletfilerepository;version="2.0",com.liferay.portal.kernel.rep
 ository.capabilities;version="2.0",com.liferay.portal.kernel.reposito
 ry.model;version="8.0",com.liferay.portal.kernel.sanitizer;version="8
 .0",com.liferay.portal.kernel.search;version="9.6",com.liferay.portal
 .kernel.search.filter;version="1.0",com.liferay.portal.kernel.search.
 generic;version="3.0",com.liferay.portal.kernel.security.auth;version
 ="2.6",com.liferay.portal.kernel.security.permission;version="3.4",co
 m.liferay.portal.kernel.security.permission.resource;version="1.1",co
 m.liferay.portal.kernel.service;version="4.16",com.liferay.portal.ker
 nel.service.change.tracking;version="1.0",com.liferay.portal.kernel.s
 ervice.http;version="1.0",com.liferay.portal.kernel.service.permissio
 n;version="2.0",com.liferay.portal.kernel.service.persistence;version
 ="6.6",com.liferay.portal.kernel.service.persistence.change.tracking;
 version="1.3",com.liferay.portal.kernel.service.persistence.change.tr
 acking.helper;version="1.0",com.liferay.portal.kernel.service.persist
 ence.impl;version="3.2",com.liferay.portal.kernel.settings;version="3
 .1",com.liferay.portal.kernel.settings.definition;version="1.0",com.l
 iferay.portal.kernel.social;version="1.0",com.liferay.portal.kernel.s
 ystemevent;version="6.2",com.liferay.portal.kernel.template;version="
 9.1",com.liferay.portal.kernel.templateparser;version="7.1",com.lifer
 ay.portal.kernel.theme;version="3.1",com.liferay.portal.kernel.transa
 ction;version="8.1",com.liferay.portal.kernel.trash;version="9.0",com
 .liferay.portal.kernel.tree;version="2.1",com.liferay.portal.kernel.u
 pgrade;version="8.5",com.liferay.portal.kernel.upgrade.util;version="
 7.1",com.liferay.portal.kernel.util;version="10.28",com.liferay.porta
 l.kernel.uuid;version="6.2",com.liferay.portal.kernel.webserver;versi
 on="1.0",com.liferay.portal.kernel.workflow;version="9.5",com.liferay
 .portal.kernel.workflow.permission;version="7.0",com.liferay.portal.k
 ernel.xml;version="7.0",com.liferay.portal.search.batch;version="1.0"
 ,com.liferay.portal.search.filter;version="1.3",com.liferay.portal.se
 arch.index;version="3.5",com.liferay.portal.search.localization;versi
 on="1.0",com.liferay.portal.search.model.uid;version="1.1",com.lifera
 y.portal.servlet.filters.cache,com.liferay.portal.upgrade.registry;ve
 rsion="3.0",com.liferay.portal.upgrade.v7_0_0;version="3.2",com.lifer
 ay.portal.util;version="4.18",com.liferay.portal.validation;version="
 1.0",com.liferay.portal.xsl,com.liferay.portlet;version="2.4",com.lif
 eray.portlet.asset.util;version="2.2",com.liferay.portlet.documentlib
 rary.lar;version="2.0",com.liferay.portlet.documentlibrary.store;vers
 ion="3.1",com.liferay.ratings.kernel.service;version="2.5",com.lifera
 y.rss.util;version="1.0",com.liferay.staging;version="1.1",com.lifera
 y.staging.model.listener;version="1.0",com.liferay.subscription.model
 ;version="2.2",com.liferay.subscription.service;version="1.5",com.lif
 eray.taglib.servlet;version="2.0",com.liferay.trash;version="1.0",com
 .liferay.trash.exception;version="1.0",com.liferay.trash.kernel.excep
 tion;version="1.1",com.liferay.trash.kernel.model;version="1.1",com.l
 iferay.trash.kernel.service;version="1.4",com.liferay.trash.model;ver
 sion="2.3",com.liferay.trash.service;version="2.4",com.liferay.upload
 ;version="1.1",com.liferay.xstream.configurator;version="1.2",javax.p
 ortlet,javax.servlet.http,javax.sql,javax.xml.transform,javax.xml.tra
 nsform.stream,org.apache.commons.lang;version="2.6",org.apache.common
 s.lang.time;version="2.6",org.osgi.framework;version="1.8",org.osgi.s
 ervice.cm;version="1.5",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Journal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 3.4.1
Liferay-Service: true
Private-Package: com.liferay.journal.internal.asset.auto.tagger.text.e
 xtractor,com.liferay.journal.internal.asset.util,com.liferay.journal.
 internal.asset.validator,com.liferay.journal.internal.atom,com.lifera
 y.journal.internal.change.tracking.spi.reference,com.liferay.journal.
 internal.change.tracking.spi.resolver,com.liferay.journal.internal.co
 nfiguration.definition,com.liferay.journal.internal.configuration.per
 sistence.listener,com.liferay.journal.internal.events,com.liferay.jou
 rnal.internal.exportimport.content.processor,com.liferay.journal.inte
 rnal.exportimport.creation.strategy,com.liferay.journal.internal.expo
 rtimport.data.handler,com.liferay.journal.internal.exportimport.lifec
 ycle,com.liferay.journal.internal.exportimport.staged.model.repositor
 y,com.liferay.journal.internal.instance.lifecycle,com.liferay.journal
 .internal.layout.admin.util,com.liferay.journal.internal.model.listen
 er,com.liferay.journal.internal.search,com.liferay.journal.internal.s
 ecurity.permission,com.liferay.journal.internal.security.permission.r
 esource,com.liferay.journal.internal.settings.definition,com.liferay.
 journal.internal.transformer,com.liferay.journal.internal.trash,com.l
 iferay.journal.internal.upgrade,com.liferay.journal.internal.upgrade.
 util,com.liferay.journal.internal.upgrade.v0_0_2,com.liferay.journal.
 internal.upgrade.v0_0_3,com.liferay.journal.internal.upgrade.v0_0_4,c
 om.liferay.journal.internal.upgrade.v0_0_4.dependencies,com.liferay.j
 ournal.internal.upgrade.v0_0_4.util,com.liferay.journal.internal.upgr
 ade.v0_0_5,com.liferay.journal.internal.upgrade.v0_0_6,com.liferay.jo
 urnal.internal.upgrade.v0_0_7,com.liferay.journal.internal.upgrade.v0
 _0_8,com.liferay.journal.internal.upgrade.v1_0_0,com.liferay.journal.
 internal.upgrade.v1_0_0.dependencies,com.liferay.journal.internal.upg
 rade.v1_0_1,com.liferay.journal.internal.upgrade.v1_1_0,com.liferay.j
 ournal.internal.upgrade.v1_1_0.dependencies,com.liferay.journal.inter
 nal.upgrade.v1_1_1,com.liferay.journal.internal.upgrade.v1_1_2,com.li
 feray.journal.internal.upgrade.v1_1_3,com.liferay.journal.internal.up
 grade.v1_1_4,com.liferay.journal.internal.upgrade.v1_1_4.util,com.lif
 eray.journal.internal.upgrade.v1_1_5,com.liferay.journal.internal.upg
 rade.v1_1_6,com.liferay.journal.internal.upgrade.v1_1_8,com.liferay.j
 ournal.internal.upgrade.v2_0_0.util,com.liferay.journal.internal.upgr
 ade.v3_0_0,com.liferay.journal.internal.upgrade.v3_2_0.util,com.lifer
 ay.journal.internal.upgrade.v3_2_1,com.liferay.journal.internal.upgra
 de.v3_2_2,com.liferay.journal.internal.upgrade.v3_2_4,com.liferay.jou
 rnal.internal.upgrade.v3_3_0,com.liferay.journal.internal.upgrade.v3_
 4_1,com.liferay.journal.internal.util,com.liferay.journal.internal.va
 lidation,com.liferay.journal.internal.workflow,com.liferay.journal.in
 ternal.xstream.configurator,com.liferay.journal.model.impl,com.lifera
 y.journal.service.base,com.liferay.journal.service.http,com.liferay.j
 ournal.service.impl,com.liferay.journal.service.persistence.impl,com.
 liferay.journal.service.persistence.impl.constants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.auto.tagger.text.extractor.TextExtractor";uses:="com.liferay.a
 sset.auto.tagger.text.extractor",osgi.service;objectClass:List<String
 >="com.liferay.asset.kernel.validator.AssetEntryValidatorExclusionRul
 e";uses:="com.liferay.asset.kernel.validator",osgi.service;objectClas
 s:List<String>="com.liferay.change.tracking.spi.listener.CTEventListe
 ner,com.liferay.journal.util.JournalContent,com.liferay.portal.kernel
 .module.framework.service.IdentifiableOSGiService";uses:="com.liferay
 .change.tracking.spi.listener,com.liferay.journal.util,com.liferay.po
 rtal.kernel.module.framework.service",osgi.service;objectClass:List<S
 tring>="com.liferay.change.tracking.spi.reference.TableReferenceDefin
 ition";uses:="com.liferay.change.tracking.spi.reference",osgi.service
 ;objectClass:List<String>="com.liferay.change.tracking.spi.resolver.C
 onstraintResolver";uses:="com.liferay.change.tracking.spi.resolver",o
 sgi.service;objectClass:List<String>="com.liferay.dynamic.data.mappin
 g.util.DDMStructurePermissionSupport,com.liferay.dynamic.data.mapping
 .util.DDMTemplatePermissionSupport";uses:="com.liferay.dynamic.data.m
 apping.util,com.liferay.dynamic.data.mapping.util",osgi.service;objec
 tClass:List<String>="com.liferay.exportimport.content.processor.Expor
 tImportContentProcessor";uses:="com.liferay.exportimport.content.proc
 essor",osgi.service;objectClass:List<String>="com.liferay.exportimpor
 t.content.processor.ExportImportContentProcessor,com.liferay.journal.
 internal.exportimport.content.processor.JournalArticleExportImportCon
 tentProcessor";uses:="com.liferay.exportimport.content.processor,com.
 liferay.journal.internal.exportimport.content.processor",osgi.service
 ;objectClass:List<String>="com.liferay.exportimport.content.processor
 .ExportImportContentProcessor,com.liferay.journal.internal.exportimpo
 rt.content.processor.JournalFeedExportImportContentProcessor";uses:="
 com.liferay.exportimport.content.processor,com.liferay.journal.intern
 al.exportimport.content.processor",osgi.service;objectClass:List<Stri
 ng>="com.liferay.exportimport.kernel.lar.PortletDataHandler";uses:="c
 om.liferay.exportimport.kernel.lar",osgi.service;objectClass:List<Str
 ing>="com.liferay.exportimport.kernel.lar.StagedModelDataHandler";use
 s:="com.liferay.exportimport.kernel.lar",osgi.service;objectClass:Lis
 t<String>="com.liferay.exportimport.kernel.lar.StagedModelDataHandler
 ,com.liferay.journal.internal.exportimport.data.handler.JournalArticl
 eStagedModelDataHandler";uses:="com.liferay.exportimport.kernel.lar,c
 om.liferay.journal.internal.exportimport.data.handler",osgi.service;o
 bjectClass:List<String>="com.liferay.exportimport.kernel.lifecycle.Ex
 portImportLifecycleListener";uses:="com.liferay.exportimport.kernel.l
 ifecycle",osgi.service;objectClass:List<String>="com.liferay.exportim
 port.staged.model.repository.StagedModelRepository";uses:="com.lifera
 y.exportimport.staged.model.repository",osgi.service;objectClass:List
 <String>="com.liferay.journal.internal.exportimport.content.processor
 .JournalArticleExportImportProcessorCache";uses:="com.liferay.journal
 .internal.exportimport.content.processor",osgi.service;objectClass:Li
 st<String>="com.liferay.journal.internal.exportimport.creation.strate
 gy.JournalCreationStrategy";uses:="com.liferay.journal.internal.expor
 timport.creation.strategy",osgi.service;objectClass:List<String>="com
 .liferay.journal.internal.upgrade.JournalServiceUpgrade,com.liferay.p
 ortal.upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.jou
 rnal.internal.upgrade,com.liferay.portal.upgrade.registry",osgi.servi
 ce;objectClass:List<String>="com.liferay.journal.internal.upgrade.uti
 l.JournalArticleImageUpgradeHelper";uses:="com.liferay.journal.intern
 al.upgrade.util",osgi.service;objectClass:List<String>="com.liferay.j
 ournal.service.persistence.JournalArticleFinder";uses:="com.liferay.j
 ournal.service.persistence",osgi.service;objectClass:List<String>="co
 m.liferay.journal.service.persistence.JournalArticleLocalizationPersi
 stence";uses:="com.liferay.journal.service.persistence",osgi.service;
 objectClass:List<String>="com.liferay.journal.service.persistence.Jou
 rnalArticlePersistence";uses:="com.liferay.journal.service.persistenc
 e",osgi.service;objectClass:List<String>="com.liferay.journal.service
 .persistence.JournalArticleResourcePersistence";uses:="com.liferay.jo
 urnal.service.persistence",osgi.service;objectClass:List<String>="com
 .liferay.journal.service.persistence.JournalContentSearchPersistence"
 ;uses:="com.liferay.journal.service.persistence",osgi.service;objectC
 lass:List<String>="com.liferay.journal.service.persistence.JournalFee
 dFinder";uses:="com.liferay.journal.service.persistence",osgi.service
 ;objectClass:List<String>="com.liferay.journal.service.persistence.Jo
 urnalFeedPersistence";uses:="com.liferay.journal.service.persistence"
 ,osgi.service;objectClass:List<String>="com.liferay.journal.service.p
 ersistence.JournalFolderFinder";uses:="com.liferay.journal.service.pe
 rsistence",osgi.service;objectClass:List<String>="com.liferay.journal
 .service.persistence.JournalFolderPersistence";uses:="com.liferay.jou
 rnal.service.persistence",osgi.service;objectClass:List<String>="com.
 liferay.journal.util.JournalConverter";uses:="com.liferay.journal.uti
 l",osgi.service;objectClass:List<String>="com.liferay.journal.util.Jo
 urnalDefaultTemplateProvider";uses:="com.liferay.journal.util",osgi.s
 ervice;objectClass:List<String>="com.liferay.journal.util.JournalHelp
 er";uses:="com.liferay.journal.util",osgi.service;objectClass:List<St
 ring>="com.liferay.journal.util.JournalTransformerListenerRegistry";u
 ses:="com.liferay.journal.util",osgi.service;objectClass:List<String>
 ="com.liferay.journal.util.JournalValidator";uses:="com.liferay.journ
 al.util",osgi.service;objectClass:List<String>="com.liferay.layout.ad
 min.kernel.util.SitemapURLProvider";uses:="com.liferay.layout.admin.k
 ernel.util",osgi.service;objectClass:List<String>="com.liferay.layout
 .util.LayoutClassedModelUsageRecorder";uses:="com.liferay.layout.util
 ",osgi.service;objectClass:List<String>="com.liferay.portal.aop.AopSe
 rvice";uses:="com.liferay.portal.aop",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.configuration.persistence.listener.Configu
 rationModelListener";uses:="com.liferay.portal.configuration.persiste
 nce.listener",osgi.service;objectClass:List<String>="com.liferay.port
 al.instance.lifecycle.PortalInstanceLifecycleListener";uses:="com.lif
 eray.portal.instance.lifecycle",osgi.service;objectClass:List<String>
 ="com.liferay.portal.kernel.atom.AtomCollectionAdapter";uses:="com.li
 feray.portal.kernel.atom",osgi.service;objectClass:List<String>="com.
 liferay.portal.kernel.events.LifecycleAction";uses:="com.liferay.port
 al.kernel.events",osgi.service;objectClass:List<String>="com.liferay.
 portal.kernel.model.ModelListener";uses:="com.liferay.portal.kernel.m
 odel",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.search.DDMStructureIndexer";uses:="com.liferay.portal.kernel.search
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.se
 arch.Indexer";uses:="com.liferay.portal.kernel.search",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.search.IndexerPost
 Processor";uses:="com.liferay.portal.kernel.search",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.search.OpenSearch";us
 es:="com.liferay.portal.kernel.search",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.security.permission.PermissionUpda
 teHandler";uses:="com.liferay.portal.kernel.security.permission",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.settings
 .definition.ConfigurationBeanDeclaration";uses:="com.liferay.portal.k
 ernel.settings.definition",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.settings.definition.ConfigurationPidMapping";u
 ses:="com.liferay.portal.kernel.settings.definition",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.templateparser.Trans
 formerListener";uses:="com.liferay.portal.kernel.templateparser",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.trash.Tr
 ashHandler";uses:="com.liferay.portal.kernel.trash",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.workflow.WorkflowHand
 ler";uses:="com.liferay.portal.kernel.workflow",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.validation.ModelValidator";uses:
 ="com.liferay.portal.validation",osgi.service;objectClass:List<String
 >="com.liferay.xstream.configurator.XStreamConfigurator";uses:="com.l
 iferay.xstream.configurator",osgi.service;objectClass:List<String>="c
 om.liferay.journal.service.JournalArticleLocalService",osgi.service;o
 bjectClass:List<String>="com.liferay.journal.service.JournalArticleRe
 sourceLocalService",osgi.service;objectClass:List<String>="com.lifera
 y.journal.service.JournalArticleService",osgi.service;objectClass:Lis
 t<String>="com.liferay.journal.service.JournalContentSearchLocalServi
 ce",osgi.service;objectClass:List<String>="com.liferay.journal.servic
 e.JournalFeedLocalService",osgi.service;objectClass:List<String>="com
 .liferay.journal.service.JournalFeedService",osgi.service;objectClass
 :List<String>="com.liferay.journal.service.JournalFolderLocalService"
 ,osgi.service;objectClass:List<String>="com.liferay.journal.service.J
 ournalFolderService"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.asset.display.page.service.AssetDisplayPageEntry
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.asset.entry.rel.service.AssetEntryAssetCategoryRelLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.asset.kernel.service.AssetCategoryLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.service.
 AssetCategoryService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.asset.kernel.service.AssetEntryLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.ke
 rnel.service.AssetEntryService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.asset.kernel.service.AssetLinkLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .asset.kernel.service.AssetTagLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetTa
 gService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.asset.kernel.service.AssetVocabularyLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.changeset.servi
 ce.ChangesetCollectionLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.changeset.service.ChangesetEntryLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.counter.kernel.service.CounterLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.depot.service.DepotEn
 tryLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.document.library.kernel.service.DLAppLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.documen
 t.library.kernel.service.DLAppService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.document.library.util.DLURLHelper
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ynamic.data.mapping.service.DDMStorageLinkLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.map
 ping.service.DDMStructureLinkLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.
 DDMStructureLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.dynamic.data.mapping.service.DDMStructureServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .dynamic.data.mapping.service.DDMStructureVersionLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.d
 ata.mapping.service.DDMTemplateLinkLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.se
 rvice.DDMTemplateLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.dynamic.data.mapping.util.DDMIndexer)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.util.DefaultDDMStructureHelper)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.util
 .FieldsToDDMFormValuesConverter)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.expando.kernel.service.ExpandoRowLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.expando.kernel.service.ExpandoValueLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.expando.kernel.ser
 vice.ExpandoValueService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.exportimport.content.processor.ExportImportCon
 tentProcessor)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.exportimport.kernel.lar.ExportImportHelper)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.exportimport.ker
 nel.staging.Staging)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.exportimport.kernel.staging.permission.StagingPermi
 ssion)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.friendly.url.service.FriendlyURLEntryLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.info.item.InfoIte
 mServiceTracker)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.journal.configuration.JournalFileUploadsConfiguration)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.jou
 rnal.configuration.JournalGroupServiceConfiguration)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.journal.internal.ex
 portimport.content.processor.JournalArticleExportImportProcessorCache
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.j
 ournal.internal.exportimport.content.processor.JournalFeedExportImpor
 tContentProcessor)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.journal.internal.exportimport.creation.strategy.Journ
 alCreationStrategy)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.journal.internal.exportimport.data.handler.JournalAr
 ticleStagedModelDataHandler)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.journal.internal.upgrade.util.JournalArticl
 eImageUpgradeHelper)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.journal.service.JournalArticleLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.journal.se
 rvice.JournalArticleResourceLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.journal.service.JournalArticle
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.journal.service.JournalContentSearchLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.journal.service.
 JournalFeedLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.journal.service.JournalFolderLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.journal
 .service.JournalFolderService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.journal.service.persistence.JournalArticl
 eFinder)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.journal.service.persistence.JournalArticleLocalizationPersisten
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .journal.service.persistence.JournalArticlePersistence)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.journal.service.
 persistence.JournalArticleResourcePersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.journal.service.persisten
 ce.JournalContentSearchPersistence)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.journal.service.persistence.JournalF
 eedFinder)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.journal.service.persistence.JournalFeedPersistence)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.journal.serv
 ice.persistence.JournalFolderFinder)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.journal.service.persistence.Journal
 FolderPersistence)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.journal.util.JournalContent)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.journal.util.JournalConvert
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .journal.util.JournalDefaultTemplateProvider)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.journal.util.JournalHelper
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.j
 ournal.util.JournalValidator)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.layout.admin.kernel.util.Sitemap)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.layout.disp
 lay.page.LayoutDisplayPageProviderTracker)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.layout.page.template.service.
 LayoutPageTemplateEntryLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.layout.service.LayoutClassedModelUs
 ageLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.change.tracking.store.CTStoreFactory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.config
 uration.upgrade.PrefsPropsToConfigurationUpgradeHelper)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.dao.orm.c
 ustom.sql.CustomSQL)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.cache.MultiVMPool)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.cache.S
 ingleVMPool)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.comment.CommentManager)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.configurat
 ion.Configuration)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.dao.orm.EntityCache)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.dao.orm
 .FinderCache)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.dao.orm.SessionFactory)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.json.JSON
 Factory)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.module.configuration.ConfigurationProvider)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.module.framework.ModuleServiceLifecycle)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.portletfile
 repository.PortletFileRepository)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.repository.capabilities.
 PortalCapabilityLocator)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.search.IndexWriterHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.search.IndexerRegistry)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.security.permission.ResourceAc
 tions)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.security.permission.resource.ModelResourcePermissio
 n)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.security.permission.resource.PortletResourcePermission)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.ClassNameLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.service.ClassNa
 meService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.CompanyLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .CompanyService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.GroupLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.ser
 vice.GroupService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.ImageLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.ImageService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.service.LayoutLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.service.LayoutSetLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.PortletPreference
 sLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.service.ResourceActionLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.ResourceLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.SystemEventLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.UserLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.User
 NotificationEventLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.UserService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.WorkflowDefinitionLinkLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.W
 orkflowInstanceLinkLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.persistence.chang
 e.tracking.helper.CTPersistenceHelper)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.settings.SettingsFa
 ctory)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.templateparser.TransformerListener)";effective:=act
 ive;resolution:=optional;cardinality:=multiple,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.util.Html)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Htt
 p)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.util.Portal)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.workflow.permission.WorkflowPer
 mission)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.search.batch.BatchIndexingHelper)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.search.filter.Filt
 erBuilders)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.search.index.IndexStatusManager)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.search.localizat
 ion.SearchLocalizationHelper)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.search.model.uid.UIDFactory)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portlet.d
 ocumentlibrary.store.StoreFactory)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.ratings.kernel.service.RatingsStatsLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.staging.StagingGroupHelper)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.staging.model.listener.StagingModel
 Listener)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.subscription.service.SubscriptionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.trash.TrashHelper)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.tr
 ash.service.TrashEntryLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.trash.service.TrashVersionLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .upload.AttachmentContentUpdater)";effective:=active,osgi.service;fil
 ter:="(objectClass=javax.sql.DataSource)";effective:=active,osgi.serv
 ice;filter:="(objectClass=org.osgi.service.cm.ConfigurationAdmin)";ef
 fective:=active,osgi.contract;osgi.contract=JavaPortlet;filter:="(&(o
 sgi.contract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contrac
 t=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))"
 ,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.journal.internal.asset.auto.ta
 gger.text.extractor.JournalArticleTextExtractor.xml,OSGI-INF/com.life
 ray.journal.internal.asset.util.JournalArticleLayoutClassedModelUsage
 Recorder.xml,OSGI-INF/com.liferay.journal.internal.asset.validator.Jo
 urnalArticleAssetEntryValidatorExclusionRule.xml,OSGI-INF/com.liferay
 .journal.internal.atom.JournalArticleAtomCollectionProvider.xml,OSGI-
 INF/com.liferay.journal.internal.change.tracking.spi.reference.Journa
 lArticleLocalizationTableReferenceDefinition.xml,OSGI-INF/com.liferay
 .journal.internal.change.tracking.spi.reference.JournalArticleResourc
 eTableReferenceDefinition.xml,OSGI-INF/com.liferay.journal.internal.c
 hange.tracking.spi.reference.JournalArticleTableReferenceDefinition.x
 ml,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.referenc
 e.JournalContentSearchTableReferenceDefinition.xml,OSGI-INF/com.lifer
 ay.journal.internal.change.tracking.spi.reference.JournalFeedTableRef
 erenceDefinition.xml,OSGI-INF/com.liferay.journal.internal.change.tra
 cking.spi.reference.JournalFolderTableReferenceDefinition.xml,OSGI-IN
 F/com.liferay.journal.internal.change.tracking.spi.resolver.JournalAr
 ticleVersionConstraintResolver.xml,OSGI-INF/com.liferay.journal.inter
 nal.change.tracking.spi.resolver.JournalFolderNameConstraintResolver.
 xml,OSGI-INF/com.liferay.journal.internal.configuration.definition.Jo
 urnalGroupServiceConfigurationPidMapping.xml,OSGI-INF/com.liferay.jou
 rnal.internal.configuration.persistence.listener.JournalServiceConfig
 urationModelListener.xml,OSGI-INF/com.liferay.journal.internal.events
 .JournalServicePreAction.xml,OSGI-INF/com.liferay.journal.internal.ex
 portimport.content.processor.JournalArticleExportImportContentProcess
 or.xml,OSGI-INF/com.liferay.journal.internal.exportimport.content.pro
 cessor.JournalArticleExportImportProcessorCache.xml,OSGI-INF/com.life
 ray.journal.internal.exportimport.content.processor.JournalFeedExport
 ImportContentProcessor.xml,OSGI-INF/com.liferay.journal.internal.expo
 rtimport.content.processor.JournalFeedReferencesExportImportContentPr
 ocessor.xml,OSGI-INF/com.liferay.journal.internal.exportimport.creati
 on.strategy.JournalCreationStrategyImpl.xml,OSGI-INF/com.liferay.jour
 nal.internal.exportimport.data.handler.JournalArticleStagedModelDataH
 andler.xml,OSGI-INF/com.liferay.journal.internal.exportimport.data.ha
 ndler.JournalFeedStagedModelDataHandler.xml,OSGI-INF/com.liferay.jour
 nal.internal.exportimport.data.handler.JournalFolderStagedModelDataHa
 ndler.xml,OSGI-INF/com.liferay.journal.internal.exportimport.data.han
 dler.JournalPortletDataHandler.xml,OSGI-INF/com.liferay.journal.inter
 nal.exportimport.lifecycle.JournalCacheExportImportLifecycleListener.
 xml,OSGI-INF/com.liferay.journal.internal.exportimport.staged.model.r
 epository.JournalArticleStagedModelRepository.xml,OSGI-INF/com.lifera
 y.journal.internal.exportimport.staged.model.repository.JournalFeedSt
 agedModelRepository.xml,OSGI-INF/com.liferay.journal.internal.exporti
 mport.staged.model.repository.JournalFolderStagedModelRepository.xml,
 OSGI-INF/com.liferay.journal.internal.instance.lifecycle.AddDefaultJo
 urnalStructuresPortalInstanceLifecycleListener.xml,OSGI-INF/com.lifer
 ay.journal.internal.instance.lifecycle.CheckJournalContentSearchPorta
 lInstanceLifecycleListener.xml,OSGI-INF/com.liferay.journal.internal.
 layout.admin.util.JournalArticleSitemapURLProvider.xml,OSGI-INF/com.l
 iferay.journal.internal.model.listener.DDMStructureModelListener.xml,
 OSGI-INF/com.liferay.journal.internal.model.listener.DDMTemplateModel
 Listener.xml,OSGI-INF/com.liferay.journal.internal.model.listener.Gro
 upModelListener.xml,OSGI-INF/com.liferay.journal.internal.model.liste
 ner.JournalArticleModelListener.xml,OSGI-INF/com.liferay.journal.inte
 rnal.model.listener.JournalArticleStagingModelListener.xml,OSGI-INF/c
 om.liferay.journal.internal.model.listener.JournalFeedStagingModelLis
 tener.xml,OSGI-INF/com.liferay.journal.internal.model.listener.Journa
 lFolderStagingModelListener.xml,OSGI-INF/com.liferay.journal.internal
 .model.listener.LayoutModelListener.xml,OSGI-INF/com.liferay.journal.
 internal.search.JournalArticleDDMStructureIndexer.xml,OSGI-INF/com.li
 feray.journal.internal.search.JournalArticleIndexer.xml,OSGI-INF/com.
 liferay.journal.internal.search.JournalArticleIndexerPostProcessor.xm
 l,OSGI-INF/com.liferay.journal.internal.search.JournalFolderIndexer.x
 ml,OSGI-INF/com.liferay.journal.internal.search.JournalOpenSearchImpl
 .xml,OSGI-INF/com.liferay.journal.internal.security.permission.Journa
 lArticlePermissionUpdateHandler.xml,OSGI-INF/com.liferay.journal.inte
 rnal.security.permission.JournalDDMPermissionSupport.xml,OSGI-INF/com
 .liferay.journal.internal.security.permission.JournalFeedPermissionUp
 dateHandler.xml,OSGI-INF/com.liferay.journal.internal.security.permis
 sion.JournalFolderPermissionUpdateHandler.xml,OSGI-INF/com.liferay.jo
 urnal.internal.security.permission.resource.JournalArticleModelResour
 cePermissionRegistrar.xml,OSGI-INF/com.liferay.journal.internal.secur
 ity.permission.resource.JournalFeedModelResourcePermissionRegistrar.x
 ml,OSGI-INF/com.liferay.journal.internal.security.permission.resource
 .JournalFolderModelResourcePermissionRegistrar.xml,OSGI-INF/com.lifer
 ay.journal.internal.security.permission.resource.JournalPortletResour
 cePermissionRegsitrar.xml,OSGI-INF/com.liferay.journal.internal.setti
 ngs.definition.JournalFileUploadsConfigurationBeanDeclaration.xml,OSG
 I-INF/com.liferay.journal.internal.settings.definition.JournalGroupSe
 rviceConfigurationBeanDeclaration.xml,OSGI-INF/com.liferay.journal.in
 ternal.settings.definition.JournalServiceConfigurationBeanDeclaration
 .xml,OSGI-INF/com.liferay.journal.internal.transformer.ContentTransfo
 rmerListener.xml,OSGI-INF/com.liferay.journal.internal.transformer.De
 faultJournalTransformerListenerRegistryImpl.xml,OSGI-INF/com.liferay.
 journal.internal.transformer.LocaleTransformerListener.xml,OSGI-INF/c
 om.liferay.journal.internal.transformer.RegexTransformerListener.xml,
 OSGI-INF/com.liferay.journal.internal.transformer.TokensTransformerLi
 stener.xml,OSGI-INF/com.liferay.journal.internal.transformer.ViewCoun
 terTransformerListener.xml,OSGI-INF/com.liferay.journal.internal.tras
 h.JournalArticleTrashHandler.xml,OSGI-INF/com.liferay.journal.interna
 l.trash.JournalFolderTrashHandler.xml,OSGI-INF/com.liferay.journal.in
 ternal.upgrade.JournalServiceUpgrade.xml,OSGI-INF/com.liferay.journal
 .internal.upgrade.util.JournalArticleImageUpgradeHelper.xml,OSGI-INF/
 com.liferay.journal.internal.util.JournalContentImpl.xml,OSGI-INF/com
 .liferay.journal.internal.util.JournalConverterImpl.xml,OSGI-INF/com.
 liferay.journal.internal.util.JournalDefaultTemplateProviderImpl.xml,
 OSGI-INF/com.liferay.journal.internal.util.JournalHelperImpl.xml,OSGI
 -INF/com.liferay.journal.internal.util.JournalHelperUtil.xml,OSGI-INF
 /com.liferay.journal.internal.util.JournalServiceComponentProvider.xm
 l,OSGI-INF/com.liferay.journal.internal.util.JournalValidatorImpl.xml
 ,OSGI-INF/com.liferay.journal.internal.validation.JournalArticleModel
 Validator.xml,OSGI-INF/com.liferay.journal.internal.validation.Journa
 lFolderModelValidator.xml,OSGI-INF/com.liferay.journal.internal.workf
 low.JournalArticleWorkflowHandler.xml,OSGI-INF/com.liferay.journal.in
 ternal.xstream.configurator.JournalXStreamConfigurator.xml,OSGI-INF/c
 om.liferay.journal.service.impl.JournalArticleLocalServiceImpl.xml,OS
 GI-INF/com.liferay.journal.service.impl.JournalArticleLocalizationCTS
 erviceImpl.xml,OSGI-INF/com.liferay.journal.service.impl.JournalArtic
 leResourceLocalServiceImpl.xml,OSGI-INF/com.liferay.journal.service.i
 mpl.JournalArticleServiceImpl.xml,OSGI-INF/com.liferay.journal.servic
 e.impl.JournalContentSearchLocalServiceImpl.xml,OSGI-INF/com.liferay.
 journal.service.impl.JournalFeedLocalServiceImpl.xml,OSGI-INF/com.lif
 eray.journal.service.impl.JournalFeedServiceImpl.xml,OSGI-INF/com.lif
 eray.journal.service.impl.JournalFolderLocalServiceImpl.xml,OSGI-INF/
 com.liferay.journal.service.impl.JournalFolderServiceImpl.xml,OSGI-IN
 F/com.liferay.journal.service.persistence.impl.JournalArticleFinderIm
 pl.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.JournalA
 rticleLocalizationPersistenceImpl.xml,OSGI-INF/com.liferay.journal.se
 rvice.persistence.impl.JournalArticlePersistenceImpl.xml,OSGI-INF/com
 .liferay.journal.service.persistence.impl.JournalArticleResourcePersi
 stenceImpl.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.
 JournalContentSearchPersistenceImpl.xml,OSGI-INF/com.liferay.journal.
 service.persistence.impl.JournalFeedFinderImpl.xml,OSGI-INF/com.lifer
 ay.journal.service.persistence.impl.JournalFeedPersistenceImpl.xml,OS
 GI-INF/com.liferay.journal.service.persistence.impl.JournalFolderFind
 erImpl.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.Jour
 nalFolderPersistenceImpl.xml,OSGI-INF/com.liferay.journal.service.per
 sistence.impl.constants.JournalPersistenceConstants.xml
Tool: Bnd-4.3.0.201909301554

